name: cid_app
description: "Applicazione per la compilazione assistita del modulo CAI/CID digitale."
publish_to: 'none'

version: 1.0.7+6

environment:
  sdk: '>=3.10.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter

  shared_preferences: ^2.5.1

  # --- MOTORE PDF E STAMPA ---
  syncfusion_flutter_core: ^32.2.3
  syncfusion_flutter_pdf: ^32.2.3
  pdf: ^3.10.7
  printing: ^5.14.2

  path_provider: ^2.1.5
  share_plus: ^7.2.1

  # Per aprire il PDF appena generato
  open_file: ^3.3.2

  # --- ABBONAMENTI IN-APP ---
  purchases_flutter: ^8.1.1

  # --- FIREBASE E SICUREZZA ---
  firebase_core: ^3.10.1
  cloud_firestore: ^5.6.2
  firebase_database: ^11.3.0
  firebase_auth: ^5.7.0
  encrypt: ^5.0.3

  # --- RETE E SERVIZI ---
  http: ^1.1.0
  webview_flutter: ^4.4.0
  flutter_inappwebview: ^6.0.0
  intl: ^0.20.2
  url_launcher: ^6.3.2
  flutter_email_sender: ^6.0.3

  # --- GEOLOCALIZZAZIONE ---
  geolocator: ^14.0.2
  geocoding: ^4.0.0

  # --- QR CODE E SCANSIONE ---
  qr_flutter: ^4.1.0
  mobile_scanner: ^6.0.0

  # --- CAMERA E OCR ---
  camera: ^0.11.0
  google_mlkit_text_recognition: ^0.14.0
  google_mlkit_barcode_scanning: ^0.13.0
  google_mlkit_commons: ^0.9.0
  permission_handler: ^11.3.1

  # --- GRAFICA E INPUT ---
  image: ^4.2.0
  signature: ^6.3.0
  html: ^0.15.4

  # LIBRERIE SYNCFUSION
  syncfusion_flutter_pdfviewer: ^32.2.3
  syncfusion_flutter_signaturepad: ^32.2.3

  device_info_plus: ^12.3.0
  flutter_localizations:
    sdk: flutter
  facebook_app_events: ^0.24.0
  app_tracking_transparency: ^2.0.6+1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  flutter_launcher_icons: ^0.13.1

flutter:
  uses-material-design: true

  assets:
    - assets/CAI_p1.pdf
    - assets/punti_danni_A.png
    - assets/punti_danni_B.png
    - assets/ospedali_completo.json
    - assets/sfondo_mappa.jpg
    - assets/fonts/Roboto-Bold.ttf
    - assets/sfondo_cid.jpg
    - assets/icona.png
    - assets/certificate.pfx

  fonts:
    - family: Roboto
      fonts:
        - asset: assets/fonts/Roboto-Bold.ttf
          weight: 700

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icona.png"
  remove_alpha_ios: true